> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getagentdrive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Drive

> Get details of a single drive by ID.

## Path Parameters

<ParamField path="id" type="string" required>
  The drive UUID.
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl https://api.getagentdrive.com/v0/drives/YOUR_DRIVE_ID \
    -H "Authorization: Bearer agd_your_key"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "data": {
      "id": "d7f3e-abc-123",
      "user_id": "u1234...",
      "name": "research-q1",
      "slug": "alice/research-q1",
      "description": "",
      "file_count": 12,
      "total_size": 1048576,
      "created_at": "2026-03-22T10:30:00Z",
      "updated_at": "2026-03-22T11:00:00Z"
    }
  }
  ```
</ResponseExample>
